#include<stdio.h>
int main()
{
  int n,i,j,k;
  scanf("%d", &n);
  if(n>0)
  {
    for(i=n;i>0;i--)
    {
      for(j=n-i;j>0;j--)
      {
	printf(" ");
      }
      printf("*");
	for(j=i-1;j>0;j--)
      {
	printf("-*");
      }
      printf("\n");
    }
  }
  else
    printf("-1\n");
  return 0;
}
